DimensionPropertyMaker (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fo.properties

## Class DimensionPropertyMaker

- java.lang.Object
- - org.apache.fop.fo.properties.CorrespondingPropertyMaker
  - - org.apache.fop.fo.properties.DimensionPropertyMaker

-     public class DimensionPropertyMaker
      extends CorrespondingPropertyMaker

  Dimensioned property maker.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.CorrespondingPropertyMaker

      `baseMaker, lrtb, rltb, tblr, tbrl, useParent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DimensionPropertyMaker(PropertyMaker baseMaker)` Instantiate a dimension property maker.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `compute(PropertyList propertyList)` Return a Property object representing the value of this property, based on other property values for this FO.
    `boolean` | `isCorrespondingForced(PropertyList propertyList)` Determine if corresponding property is forced.
    `void` | `setExtraCorresponding(int[][] extraCorresponding)` Set extra correspondences.

    - ### Methods inherited from class org.apache.fop.fo.properties.CorrespondingPropertyMaker

      `getWMPropertyList, setCorresponding, setRelative, setUseParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DimensionPropertyMaker

          public DimensionPropertyMaker(PropertyMaker baseMaker)

      Instantiate a dimension property maker.
      Parameters:
        `baseMaker` - the base property maker

  - ### Method Detail

    - #### setExtraCorresponding

          public void setExtraCorresponding(int[][] extraCorresponding)

      Set extra correspondences.
      Parameters:
        `extraCorresponding` - an array of four element integer arrays

    - #### isCorrespondingForced

          public boolean isCorrespondingForced(PropertyList propertyList)

      Determine if corresponding property is forced.
      Overrides:
        `isCorrespondingForced` in class `CorrespondingPropertyMaker`
      Parameters:
        `propertyList` - the property list to use
      Returns:
        true if it is forced

    - #### compute

          public Property compute(PropertyList propertyList)
                           throws PropertyException

      Return a Property object representing the value of this property, based on other property values for this FO. A special case is properties which inherit the specified value, rather than the computed value.
      Overrides:
        `compute` in class `CorrespondingPropertyMaker`
      Parameters:
        `propertyList` - The PropertyList for the FO.
      Returns:
        Property A computed Property value or null if no rules are specified (in foproperties.xml) to compute the value.
      Throws:
        `PropertyException` - if a property exception occurs

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.